Index: dahdi.init
===================================================================
--- dahdi.init	(revision 4539)
+++ dahdi.init	(working copy)
@@ -12,7 +12,7 @@
 
 # Don't edit the following values. Edit /etc/dahdi/init.conf instead.
 
-DAHDI_CFG=/sbin/dahdi_cfg
+DAHDI_CFG=/usr/sbin/dahdi_cfg
 DAHDI_CFG_CMD="$DAHDI_CFG" # e.g: for a custom system.conf location
 
 FXOTUNE=/sbin/fxotune
@@ -160,11 +160,11 @@
 		fi
 	done
 	TMOUT=$DAHDI_DEV_TIMEOUT # max secs to wait
-	while [ ! -d /dev/zap ] ; do
+	while [ ! -d /dev/dahdi ] ; do
  		sleep 1
 		TMOUT=`expr $TMOUT - 1`
 		if [ $TMOUT -eq 0 ] ; then
-			echo "Error: missing /dev/zap!"
+			echo "Error: missing /dev/dahdi!"
 			exit 1
 		fi
 	done
@@ -174,7 +174,7 @@
 
 	if [ ! -e /proc/dahdi/1 ]; then
 		echo "No hardware timing source found in /proc/dahdi, loading dahdi_dummy"
-		modprobe dahdi_dahdi_dummy 2> /dev/null
+		modprobe dahdi_dummy 2> /dev/null
 	fi
 
 	if [ $system = debian ]; then
@@ -186,7 +186,9 @@
 	fi
 	RETVAL=$?
 
-	[ $RETVAL -eq 0 ] && touch $LOCKFILE
+	if [ $system = redhat ]; then
+		[ $RETVAL -eq 0 ] && touch $LOCKFILE
+	fi
 
 	if [ -x "$FXOTUNE" ] && [ -r /etc/fxotune.conf ]; then
 		# Allowed to fail if e.g. Asterisk already uses channels:
